| PUT | /RestApi/translations/translate/mark |
|---|
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations;
namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations
{
public partial class MarkForTranslation
{
public virtual Guid[] Ids { get; set; }
public virtual string ProviderName { get; set; }
public virtual string ItemType { get; set; }
public virtual string SourceLanguage { get; set; }
public virtual string[] TargetLanguages { get; set; }
public virtual string ActualSourceLanguage { get; set; }
public virtual bool AllowPartialSuccess { get; set; }
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/translations/translate/mark HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length
{"Ids":["00000000-0000-0000-0000-000000000000"],"ProviderName":"String","ItemType":"String","SourceLanguage":"String","TargetLanguages":["String"],"ActualSourceLanguage":"String","AllowPartialSuccess":false}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{Unable to show example output for type 'IList`1' using the custom 'other' filter}Cannot create an instance of an interface.